Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.documents.controls
Interface GsDocCmxControl

All Superinterfaces
  CmxControl, com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

    public interface GsDocCmxControl

extends com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

`CmxControl @ControlExtension` for creating the `GROUP_SPACE_DOC` ObjectClass, `Nodes` of that type (wrapped in a `GsDoc`/No

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Method Summary
`GsDoc` | `createGsDoc(String title, String description, String visibility, String owner, String author, String keywords, String docType, String attachmentName, long attachmentSizeInBytes, BinaryValue attachment, ID parentId, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)` creates the `GROUP_SPACE_DOC ObjectClass` and `Node`s of that type (wrapped in an `GsDoc`) `GROUP_SPACE_DOC` extends the `COMMUNITY_CONTENT` ObjectClass

Method Detail

### createGsDoc

    GsDoc createGsDoc(String title,
                      String description,
                      String visibility,
                      String owner,
                      String author,
                      String keywords,
                      String docType,
                      String attachmentName,
                      long attachmentSizeInBytes,
                      BinaryValue attachment,
                      ID parentId,
                      ID[] relatedNodes,
                      Set<CmxControl.PropertyPair> dynamicProps)
                      throws AuthenticationException,
                             AuthorizationException,
                             NodeExistsException,
                             NoSuchObjectClassException,
                             RepositoryException,
                             InstantiationException,
                             IllegalAccessException,
                             InvocationTargetException,
                             SQLException,
                             GSNonUniqueContentException

  creates the `GROUP_SPACE_DOC ObjectClass` and `Node`s of that type (wrapped in an `GsDoc`)

  `GROUP_SPACE_DOC` extends the `COMMUNITY_CONTENT` ObjectClass

  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `SQLException`
    `GSNonUniqueContentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved